> For the complete documentation index, see [llms.txt](https://docs.collection.xyz/guides/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.collection.xyz/guides/technical-reference/nft-amm/what-is-a-collectionpool.md).

# What Is A CollectionPool?

A CollectionPool is a liquidity pool that represents a set of automatic buy and/or sell orders for an NFT denoted in its base currency. A CollectionPool’s owner is an Ethereum address `ownerAddress` if and only if the `ownerAddress` is the `ownerOf()` the LPToken (short for Liquidity Pool Token) `tokenId` corresponding to the CollectionPool address. Each LPToken is represented by an ERC721 token.&#x20;

CollectionPools are deployed from a factory contract called `CollectionPoolFactory` which also the ERC721 contract. In order to check the correspondence of an LPToken `tokenId` with a pool address, one can use the `poolAddressOf()` function.&#x20;

Given that we identify CollectionPool ownership entirely with ownership of the LPToken, ownership of the AMM activity and liquidity can be easily composed with other functions and traded. LPTokens accrue the fees from trading activities for a particular pool, which are separately accounted for.&#x20;

For [Collection.xyz](http://collection.xyz/) v2, we support ERC721 (for NFTs, ERC1155 coming in a future version) and ETH/ERC20 on the other side. For convention’s sake, for a TOKEN-NFT pair, we consider the TOKEN pair the bid side, and the NFT the ask side.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.collection.xyz/guides/technical-reference/nft-amm/what-is-a-collectionpool.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
